## icu 2.0

=== source/samples/datefmt/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others

# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/share/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=~/icu

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=datefmt

# All object files (C or C++)
OBJECTS=main.o util.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(TARGET)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/legacy/Makefile ===
# Copyright (c) 2001 IBM, Inc. and others
# conversion sample code $Revision: 1.1 $


# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/lib/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_PREFIX=/home/weiv/build/current
ICU_LEGACY = /home/weiv/build/icu-1-8-1
LEGACY_INCLUDE = $(ICU_LEGACY)/include


ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=legacy

# All object files (C or C++)
OBJECTS=legacy.o newcol.o oldcol.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

# turn on super warnings
#CPPFLAGS += -Wall


all: $(TARGET)

.PHONY: all clean distclean check report

oldcol.o : oldcol.cpp
	$(CXX) -I$(LEGACY_INCLUDE) $(DEFS) $(CPPFLAGS) $(CXXFLAGS) -c oldcol.cpp

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS) $(ICU_PREFIX)/lib/libicuuc.so.18 $(ICU_PREFIX)/lib/libicui18n.so.18 

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/msgfmt/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others

# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/lib/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=~/icu

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=msgfmt

# All object files (C or C++)
OBJECTS=main.o util.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(TARGET)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/scsu/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others
# compression sample code $Revision: 1.2 $


# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/lib/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=/home/srl/II

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=compsamp

# All object files (C or C++)
OBJECTS=compsamp.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(TARGET)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/translit/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others

# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/share/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=~/icu

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=translit

# All object files (C or C++)
OBJECTS=main.o util.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(TARGET)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/ucnv/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others
# conversion sample code $Revision: 1.4 $


# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/lib/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=/home/srl/II

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=convsamp

# All object files (C or C++)
OBJECTS=convsamp.o flagcb.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

# turn on super warnings
#CPPFLAGS += -Wall


all: $(TARGET)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/udata/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others
# udata sample code $Revision: 1.2 $


# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change ICU_DEFAULT_PREFIX line to point to the $(prefix) that 
#    was used (will look for $(prefix)/share/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - change ICU_DEFAULT_PATH line to point to the 'icu' directory
#    containing source, data, config, etc.. 
#      OR 
#   set the variable ICU_PATH to point at that path
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=/home/srl/II
ICU_DEFAULT_PATH=~/icu

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/share/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/share/icu/Makefile.inc
endif


ifeq ($(strip $(ICU_PATH)),)
  ICU_PATH=$(ICU_DEFAULT_PATH)
endif

include $(ICU_INC)

# Name of your target
TARGET1=reader
TARGET2=writer

# All object files (C or C++)
OBJECTS1=reader.o
OBJECTS2=writer.o
OBJECTS=$(OBJECTS1) $(OBJECTS2)

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(ICU_PATH)/source/tools/toolutil/uoptions.h $(TARGET1) $(TARGET2)

$(ICU_PATH)/source/tools/toolutil/uoptions.h:
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $@ - check ICU_PATH"
	@false

# Only the writer needs these, actually.
CPPFLAGS += -I$(ICU_PATH)/source/tools/toolutil
LDFLAGS += -L$(ICU_PATH)/source/tools/toolutil -licu-toolutil


.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET1) $(TARGET2)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET1): $(OBJECTS1)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

$(TARGET2): $(OBJECTS2)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET1) $(TARGET2)
	$(TARGET1) | tee $(TARGET1).out
	$(TARGET2) | tee $(TARGET2).out

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/ufortune/Makefile ===
# Copyright (c) 2001 IBM, Inc. and others

#
# File
#    icu/source/samples/ufortune/Makefile
#
# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/lib/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'gmake' in this directory
#  - do 'gmake check' to run the sample.
#

ICU_DEFAULT_PREFIX=/export/andy/icui

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_PREFIX=$(ICU_DEFAULT_PREFIX)
endif

ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
include $(ICU_INC)

# Name of your target
TARGET=ufortune

# All object files (C or C++)
OBJECTS=ufortune.o

SUBDIRS = resources

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

# For ufortune, INVOKE needs current directory on the lib path to pick up
#  the resources .so.  (For Solaris.  Not needed for Linux.  Others unknown.)
UFINVOKE = $(LDLIBRARYPATH_ENVVAR)=$(libdir):.:$$$(LDLIBRARYPATH_ENVVAR)

all: subdirs $(TARGET) 

.PHONY: all clean distclean check report subdirs $(SUBDIRS)

subdirs: $(SUBDIRS)
	
$(SUBDIRS):
	$(MAKE) -C $@

distclean clean: subdirs
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)



$(TARGET): $(OBJECTS)
	$(LINK.c) -o $@ $(OBJECTS) $(ICULIBS) -L. -lfortune_resources$(ICULIBSUFFIX)


# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(UFINVOKE) $(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).c
	more $(TARGET).c $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/uresb/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others
# conversion sample code $Revision: 1.4 $


# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change ICU_DEFAULT_PREFIX line to point to the $(prefix) that 
#    was used (will look for $(prefix)/lib/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - change ICU_DEFAULT_PATH line to point to the 'icu' directory
#    containing source, data, config, etc.. 
#      OR 
#   set the variable ICU_PATH to point at that path
#
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=/home/weiv/build/workshop
ICU_DEFAULT_PATH=/home/weiv/dev/icu

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
  GENRB = $(ICU_DEFAULT_PREFIX)/sbin/genrb
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
  GENRB = $(ICU_PREFIX)/sbin/genrb
endif

ifeq ($(strip $(ICU_PATH)),)
  ICU_PATH=$(ICU_DEFAULT_PATH)
endif

GENRBOPT = -s. -d.

include $(ICU_INC)

# Name of your target
TARGET=uresb
RESOURCES = root.res en.res sr.res

# All object files (C or C++)
OBJECTS=uresb.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(ICU_PATH)/source/tools/toolutil/uoptions.h $(GENRB) $(RESOURCES) $(TARGET) 

$(ICU_PATH)/source/tools/toolutil/uoptions.h:
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $@ - check ICU_PATH"
	@false

CPPFLAGS += -I$(ICU_PATH)/source/tools/toolutil
LDFLAGS += -L$(ICU_PATH)/source/tools/toolutil -licutoolutil -lustdio

$(GENRB):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $@ - check ICU_PATH"
	@false

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

## resources
root.res : root.txt
	#@echo "generating $@"
	$(GENRB) $(GENRBOPT) $?

en.res : en.txt
	#@echo "generating $@"
	$(GENRB) $(GENRBOPT) $?

sr.res : sr.txt
	#@echo "generating $@"
	$(GENRB) $(GENRBOPT) -e cp1251 $?



# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/ustring/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others
# conversion sample code $Revision: 1.2 $


# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/share/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=~/icu

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=ustring

# All object files (C or C++)
OBJECTS=ustring.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(TARGET)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/test/hdrtst/Makefile ===
#
#  Copyright (c) 1999-2000, International Business Machines Corporation and
#  others. All Rights Reserved.
#
#
#  THE PURPOSE OF THIS TEST
#
#     This test will  try building all ICU public files
#      (../../common/unicode/*.h and ../../common/i18n/unicode/*.h)
#     by themselves. it uses C++ becuase we don't have a list of which
#     headers are C and which are C++.  [Future opportunity!]
#  
#     To run it simply type 'make check'. You SHOULD see:
#
#  unicode/uchar.h -	0
#  unicode/uchriter.h -	0
#  unicode/ucnv.h -	0
#
#    .. etc.  Anything other than zero is an error.
#              
#
#

include ../../config/Makefile.inc

CPPFLAGS=-I.

all: 
	@echo Please read this Makefile for more information.
	@echo run \'$(MAKE) check\' to run the test 

check: hdrdir genfiles

hdrdir:
	-$(RMV) ./unicode
	mkdir ./unicode
	( cd ./unicode ; ln -s ../../../common/unicode/*.h ../../../i18n/unicode/*.h . )

genfiles:
	@rm -f Makefile.sub
	@echo Building test harness for header files in ../../common and ../../i18n
	@echo 'the number after the hyphen (-) refers to the exit code - should be zero!'
	@for file in ../../common/unicode/*.h ../../i18n/unicode/*.h; do \
	  incfile=`basename $$file .h` ; \
	  echo -n "  unicode/$$incfile.h 	- " ; \
	  echo '#include "'unicode/$$incfile'.h"' > ht_$$incfile.cpp ; \
	  echo 'void junk(){}' >> ht_$$incfile.cpp ; \
          $(COMPILE.cc) -c -I. ht_$$incfile.cpp ; \
	  RES=$$? ; \
	  echo $$RES ; \
	done
	make clean

distclean clean:
	-rm -f *.h *.cpp *.o
	-$(RMV) ./unicode

## icu 2.1

=== source/samples/datefmt/Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET)
-	$(TARGET) | tee $(TARGET).out
+	$(INVOKE) ./$(TARGET) | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report
@@ -59,7 +59,7 @@
 	more $(TARGET).cpp $(TARGET).out > $@
 
 $(ICU_INC):
-	@echo "Please read the directions at the top of this file (Makefile)"
+	@echo "Please read the directions at the top of this file (Makefile) and the README"
 	@echo "Can't open $(ICU_INC)"
 	@false

=== source/samples/legacy/Makefile ===
# Copyright (c) 2001 IBM, Inc. and others
# conversion sample code $Revision: 1.2 $


# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - set the variable ICU_PREFIX to point at $(prefix)
#    (will look for $(prefix)/lib/icu/Makefile.inc )
# 
#  - set the variable ICU_LEGACY  (read the README)
#   ( Will look for ICU_LEGACY/include/unicode/ucol.h )
#  
#  - do 'make' in this directory

#ICU_PREFIX=/home/weiv/build/current
#ICU_LEGACY = /home/weiv/build/icu-1-8-1

LEGACY_INCLUDE = $(ICU_LEGACY)/include

ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
ICUPATH=

-include $(ICU_INC)

# Name of your target
TARGET=legacy

# All object files (C or C++)
OBJECTS=legacy.o newcol.o oldcol.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

# turn on super warnings
#CPPFLAGS += -Wall

all: $(TARGET) $(ICU_INC)

.PHONY: all clean distclean check report

oldcol.o : oldcol.cpp $(LEGACY_INCLUDE)/unicode/ucol.h
	$(CXX) -I$(LEGACY_INCLUDE) $(DEFS) $(CPPFLAGS) $(CXXFLAGS) -c oldcol.cpp

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS) $(ICU_PREFIX)/lib/libicuuc.so.18 $(ICU_PREFIX)/lib/libicui18n.so.18 

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(INVOKE) ./$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo ICU_PREFIX variable is not set correctly
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "And the README"
	@echo "Can't open $(ICU_INC)"
	@false

$(LEGACY_INCLUDE)/unicode/ucol.h:
	@echo ICU_LEGACY variable is not set correctly.
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "And the README"
	@echo "Can't open $@"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/msgfmt/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #  - do 'make install' of icu 
 #
 #  - change the following line to point to the $(prefix) that 
-#    was used (will look for $(prefix)/lib/icu/Makefile.inc )
+#    was used (will look for $(prefix)/share/icu/Makefile.inc )
 #      OR 
 #   set the variable ICU_PREFIX to point at $(prefix)
 #  
@@ -50,7 +50,7 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET)
-	$(TARGET) | tee $(TARGET).out
+	$(INVOKE) ./$(TARGET) | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report
@@ -59,7 +59,7 @@
 	more $(TARGET).cpp $(TARGET).out > $@
 
 $(ICU_INC):
-	@echo "Please read the directions at the top of this file (Makefile)"
+	@echo "Please read the directions at the top of this file (Makefile) and the README"
 	@echo "Can't open $(ICU_INC)"
 	@false

=== source/samples/numfmt/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others

# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/share/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=~/icu

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=numfmt

# All object files (C or C++)
OBJECTS=main.o util.o capi.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(TARGET)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(INVOKE) ./$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile) and the README"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/props/Makefile ===
# Copyright (c) 2000 IBM, Inc. and others

# Usage:
#  - configure and build ICU [see the docs] .. use "--prefix=" something
#     (I  used --prefix=/home/srl/III )
# 
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/share/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=~/icu

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=props

# All object files (C or C++)
OBJECTS=props.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(TARGET)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(INVOKE) ./$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile) and the README"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/search/Makefile ===
# Copyright (c) 2001 IBM, Inc. and others
# boyer moore search sample code $Revision: 1.1 $


# Usage:
#  - do 'make install' of icu 
#
#  - change the following line to point to the $(prefix) that 
#    was used (will look for $(prefix)/lib/icu/Makefile.inc )
#      OR 
#   set the variable ICU_PREFIX to point at $(prefix)
#  
#  - do 'make' in this directory

ICU_DEFAULT_PREFIX=/home/swquek/install

ifeq ($(strip $(ICU_PREFIX)),)
  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
else
  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
endif
ICUPATH=

include $(ICU_INC)

# Name of your target
TARGET=search

# All object files (C or C++)
OBJECTS=search.o srchiter.o strsrch.o

CLEANFILES=*~ $(TARGET).out

DEPS=$(OBJECTS:.o=.d)

all: $(TARGET)

.PHONY: all clean distclean check report

distclean clean:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
	-$(RMV) $(OBJECTS) $(TARGET)
	-$(RMV) $(DEPS)

# Can change this to LINK.c if it is a C only program
# Can add more libraries here. 
$(TARGET): $(OBJECTS)
	$(LINK.cc) -o $@ $^ $(ICULIBS)

# Make check: simply runs the sample, logged to a file
check: $(TARGET)
	$(TARGET) | tee $(TARGET).out

# Make report: creates a 'report file' with both source and sample run
report: $(TARGET).report

$(TARGET).report: check $(TARGET).cpp
	more $(TARGET).cpp $(TARGET).out > $@

$(ICU_INC):
	@echo "Please read the directions at the top of this file (Makefile)"
	@echo "Can't open $(ICU_INC)"
	@false

ifneq ($(MAKECMDGOALS),distclean)
-include $(DEPS)
endif

=== source/samples/translit/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 # All object files (C or C++)
 OBJECTS=main.o util.o
+# You can simply add 'unaccent.o'  to the above line for example.
 
 CLEANFILES=*~ $(TARGET).out
 
@@ -50,7 +51,7 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET)
-	$(TARGET) | tee $(TARGET).out
+	$(INVOKE) ./$(TARGET) | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report

=== source/samples/ucnv/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (c) 2000 IBM, Inc. and others
-# conversion sample code $Revision: 1.4 $
+# conversion sample code $Revision: 1.5 $
 
 
 # Usage:
@@ -56,7 +56,7 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET)
-	$(TARGET) | tee $(TARGET).out
+	$(INVOKE) ./$(TARGET) | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report

=== source/samples/udata/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (c) 2000 IBM, Inc. and others
-# udata sample code $Revision: 1.2 $
+# udata sample code $Revision: 1.3 $
 
 
 # Usage:
@@ -9,7 +9,7 @@
 #  - do 'make install' of icu 
 #
 #  - change ICU_DEFAULT_PREFIX line to point to the $(prefix) that 
-#    was used (will look for $(prefix)/share/icu/Makefile.inc )
+#    was used (will look for $(prefix)/lib/icu/Makefile.inc )
 #      OR 
 #   set the variable ICU_PREFIX to point at $(prefix)
 #  
@@ -21,12 +21,12 @@
 #  - do 'make' in this directory
 
 ICU_DEFAULT_PREFIX=/home/srl/II
-ICU_DEFAULT_PATH=~/icu
+ICU_DEFAULT_PATH=$(HOME)/icu
 
 ifeq ($(strip $(ICU_PREFIX)),)
-  ICU_INC=$(ICU_DEFAULT_PREFIX)/share/icu/Makefile.inc
+  ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
 else
-  ICU_INC=$(ICU_PREFIX)/share/icu/Makefile.inc
+  ICU_INC=$(ICU_PREFIX)/lib/icu/Makefile.inc
 endif
 
 
@@ -49,16 +49,20 @@
 
 DEPS=$(OBJECTS:.o=.d)
 
-all: $(ICU_PATH)/source/tools/toolutil/uoptions.h $(TARGET1) $(TARGET2)
+all: $(TARGET1) $(TARGET2)
+
+writer.o: $(ICU_PATH)/source/tools/toolutil/uoptions.h
 
 $(ICU_PATH)/source/tools/toolutil/uoptions.h:
-	@echo "Please read the directions at the top of this file (Makefile)"
-	@echo "Can't open $@ - check ICU_PATH"
+	@echo
+	@echo "*** Please read the directions at the top of this file (Makefile)"
+	@echo "*** Can't open $@ - check ICU_PATH"
+	@echo
 	@false
 
 # Only the writer needs these, actually.
 CPPFLAGS += -I$(ICU_PATH)/source/tools/toolutil
-LDFLAGS += -L$(ICU_PATH)/source/tools/toolutil -licu-toolutil
+#LDFLAGS += -L$(ICU_PATH)/source/tools/toolutil -licu-toolutil
 
 
 .PHONY: all clean distclean check report
@@ -78,8 +82,8 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET1) $(TARGET2)
-	$(TARGET1) | tee $(TARGET1).out
-	$(TARGET2) | tee $(TARGET2).out
+	$(INVOKE) ./$(TARGET2) | tee $(TARGET2).out
+	$(INVOKE) ./$(TARGET1) | tee $(TARGET1).out
 
 $(ICU_INC):
 	@echo "Please read the directions at the top of this file (Makefile)"

=== source/samples/ufortune/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 .PHONY: all clean distclean check report subdirs $(SUBDIRS)
 
 subdirs: $(SUBDIRS)
-	
+
 $(SUBDIRS):
 	$(MAKE) -C $@
 
@@ -66,7 +66,7 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET)
-	$(UFINVOKE) $(TARGET) | tee $(TARGET).out
+	$(UFINVOKE) ./$(TARGET) | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report

=== source/samples/uresb/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (c) 2000 IBM, Inc. and others
-# conversion sample code $Revision: 1.4 $
+# conversion sample code $Revision: 1.5 $
 
 
 # Usage:
@@ -20,8 +20,8 @@
 #
 #  - do 'make' in this directory
 
-ICU_DEFAULT_PREFIX=/home/weiv/build/workshop
-ICU_DEFAULT_PATH=/home/weiv/dev/icu
+ICU_DEFAULT_PREFIX=ICU_PREFIX
+ICU_DEFAULT_PATH=../../..
 
 ifeq ($(strip $(ICU_PREFIX)),)
   ICU_INC=$(ICU_DEFAULT_PREFIX)/lib/icu/Makefile.inc
@@ -50,7 +50,9 @@
 
 DEPS=$(OBJECTS:.o=.d)
 
-all: $(ICU_PATH)/source/tools/toolutil/uoptions.h $(GENRB) $(RESOURCES) $(TARGET) 
+all: $(GENRB) $(RESOURCES) $(TARGET) 
+
+uresb.o:  $(ICU_PATH)/source/tools/toolutil/uoptions.h
 
 $(ICU_PATH)/source/tools/toolutil/uoptions.h:
 	@echo "Please read the directions at the top of this file (Makefile)"
@@ -74,15 +76,15 @@
 
 ## resources
 root.res : root.txt
-	#@echo "generating $@"
+	@echo "generating $@"
 	$(GENRB) $(GENRBOPT) $?
 
 en.res : en.txt
-	#@echo "generating $@"
+	@echo "generating $@"
 	$(GENRB) $(GENRBOPT) $?
 
 sr.res : sr.txt
-	#@echo "generating $@"
+	@echo "generating $@"
 	$(GENRB) $(GENRBOPT) -e cp1251 $?
 
 
@@ -93,8 +95,8 @@
 	$(LINK.cc) -o $@ $^ $(ICULIBS)
 
 # Make check: simply runs the sample, logged to a file
-check: $(TARGET)
-	$(TARGET) | tee $(TARGET).out
+check: $(TARGET) $(RESOURCES)
+	$(INVOKE) ./$(TARGET) en | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report

=== source/samples/ustring/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (c) 2000 IBM, Inc. and others
-# conversion sample code $Revision: 1.2 $
+# conversion sample code $Revision: 1.3 $
 
 
 # Usage:
@@ -52,7 +52,7 @@
 
 # Make check: simply runs the sample, logged to a file
 check: $(TARGET)
-	$(TARGET) | tee $(TARGET).out
+	$(INVOKE) ./$(TARGET) | tee $(TARGET).out
 
 # Make report: creates a 'report file' with both source and sample run
 report: $(TARGET).report

## icu 4.4.1

=== debian/changelog ===
icu (4.4.1-8+squeeze5) squeeze-lts; urgency=high

  * Non-maintainer upload by the Squeeze LTS team.
  * CVE-2015-2632: Fix information disclosure via overflows.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sun, 10 Jan 2016 21:18:10 +0100

icu (4.4.1-8+squeeze4) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Squeeze LTS team.
  * CVE-2015-4760: Fix boundary checks in layout engine. Backport patch from
    unstable.
  * Backport two-digit-year-test.patch from wheezy to fix the intltest test
    suite.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 27 Jul 2015 17:03:08 +0200

icu (4.4.1-8+squeeze3) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Squeeze LTS team.
  * Backports from wheezy:
  * CVE-2013-1569, CVE-2013-2383, CVE-2013-2384, and CVE-2013-2419
  * CVE-2014-6585: out-of-bounds read.
  * CVE-2014-6591: more out-of-bounds reads.
  * CVE-2014-7923: memory corruption in regular expression comparison.
  * CVE-2014-7926: memory corruption in regular expression comparison.
  * CVE-2014-7940: uninitialized memory in i18n/icol.cpp.
  * CVE-2014-9654: more regular expression handling issues.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sat, 09 May 2015 10:21:30 +0200

icu (4.4.1-8+squeeze2) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2013-0900: race condition in locid.cpp.
  * Fix cve-2013-2924: use-after-free issue in csrucode.cpp.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Oct 2013 04:40:46 +0000

icu (4.4.1-8) stable-security; urgency=high

  * Add patch to address CVE-2011-4599, a potential buffer overflow.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jan 2012 20:04:26 -0500

icu (4.4.1-7) testing-proposed-updates; urgency=high

  * Apply patch to fix Malayam rendering.  (Closes: #591615)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 25 Nov 2010 12:07:26 -0500

icu (4.4.1-6) unstable; urgency=low

  * Include patch from Alexander Kurtz to solve failure to build from
    source resulting from doxygen generating different files.  (Closes:
    #590393)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 28 Jul 2010 18:44:01 -0400

icu (4.4.1-5) unstable; urgency=low

  * Include patch from upstream to fix arm assembler bug.  Thanks to Adam
    Barratt for finding the fix.  (Closes: #589076)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Jul 2010 07:30:22 -0400

icu (4.4.1-4) unstable; urgency=low

  * Re-upload to unstable
  * Remove conficts and replaces for packages that have been gone since
    before the release of lenny
  * Updated standards version to 3.9.0

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 11 Jul 2010 12:19:00 -0400

icu (4.4.1-3) experimental; urgency=low

  * Replace my patch with a complete fix from upstream.  The fix in the
    previous upload behaves identically in a debian environment, but it's
    better to track with upstream.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 22 May 2010 08:32:48 -0400

icu (4.4.1-2) experimental; urgency=low

  * Increase buffer sizes in pkgdata.  Prevents bus errors in kfreebsd and
    undetected overruns everywhere else.  (Closes: #581174)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 21 May 2010 21:56:34 -0400

icu (4.4.1-1) experimental; urgency=low

  * New upstream release
  * Removed kfreebsd patch as kfreebsd works out of the box now, according
    to upstream.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 01 May 2010 10:45:04 -0400

icu (4.4-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 09 Apr 2010 22:27:30 -0400

icu (4.4~rc1-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 06 Mar 2010 11:54:54 -0500

icu (4.3.4-1) experimental; urgency=low

  * New upstream release
  * Upstream release includes change of static library names to be
    consistent with normal standards.  (Closes: #469454)
  * Updated standards to 3.8.4.  No changes needed.
  * Updated source format to '3.0 (quilt)'

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 06 Feb 2010 16:55:29 -0500

icu (4.2.1-3) unstable; urgency=low

  * Change install-doc target to not fail if there are subdirectories of
    doc/html.  This is necessary to handle the doc/html/search directory
    created by doxygen 3.6.1.  (Closes: #544799)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 04 Sep 2009 11:56:06 -0400

icu (4.2.1-2) unstable; urgency=low

  * Added missing 4.0.1-4 entry to changelog.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 21:58:56 -0400

icu (4.2.1-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.8.3.  No changes required.
  * First unstable upload to not use tarball in tarball packaging.
    (Closes: #538560)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 17:11:40 -0400

icu (4.2.1~rc1-3) experimental; urgency=low

  * More aggressive fix to invalid object files being written by pkgdata.
    This is a temporary fix until upstream provides a better one.
    (Closes: #530568)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 28 Jun 2009 09:57:40 -0400

icu (4.2.1~rc1-2) experimental; urgency=low

  * Bug 530568 is not fixed.  Add some debugging code.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 27 Jun 2009 09:34:16 -0400

icu (4.2.1~rc1-1) experimental; urgency=low

  * New upstream release
  * Fixed bug in pkgdata that was causing build failures on most
    platforms. (Closes: #530568)
  * Removed /emul/ia32-linux stuff. (Closes: #533850)
  * Updated standards version to 3.8.2

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 26 Jun 2009 22:12:55 -0400

icu (4.0.1-4) unstable; urgency=high

  * Added conflicts on older versions of libc6-i386 for 32-bit versions of
    the libraries installed on 64-bit systems.  (Closes: #538836)

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 04 Aug 2009 08:54:45 -0400

icu (4.0.1-3) unstable; urgency=low

  * Removed /emul/ia32-linux stuff. (Closes: #533850)
  * Updated standards version to 3.8.2


=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# To distinguish variables that are truly local to this file (rather
# than for use by cdbs), we adopt the convention of starting local
# variables' names with l_.

l_SONAME := 44
l_CFLAGS := -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	l_CFLAGS += -O0
else
	l_CFLAGS += -O2
endif

# Turn off optimization on armel to avoid some internal compiler
# errors.  This can be removed once bug 484053 is resolved.
ifeq ($(shell dpkg --print-architecture),armel)
l_CFLAGS := $(filter-out -O%,$(l_CFLAGS)) -O0
endif

# common configure cruft
l_CONFIGURE = CC="gcc" CXX="g++" CPPFLAGS="" LDFLAGS="" \
	./configure \
	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	--includedir="\$${prefix}/include" \
	--mandir="\$${prefix}/share/man" --infodir="\$${prefix}/share/info" \
	--sysconfdir=/etc --localstatedir=/var \
	--disable-maintainer-mode --disable-dependency-tracking
# specific to this package
l_CONFIGURE += --disable-samples --enable-static --enable-weak-threads

ifneq (, $(filter $(DEB_HOST_ARCH_CPU), amd64 ppc64 kfreebsd-amd64))
build32 := build32
endif

# Variables used by cdbs

VERSION := $(shell dpkg-parsechangelog | \
             awk '/Version:/ {print $$2}' | cut -d- -f 1)

DEB_SRCDIR = $(CURDIR)/source
DEB_COMPRESS_EXCLUDE = html examples
DEB_INSTALL_EXAMPLES_libicu-dev = \
	source/samples/*

# Overridden for 32-bit packages on 64-bit platforms
DEB_DH_INSTALL_SOURCEDIR=debian/tmp

DEB_DBG_PACKAGE_libicu$(l_SONAME) = libicu$(l_SONAME)-dbg

override DEB_MAKE_CHECK_TARGET = check

# Include cdbs rules files.
include /usr/share/cdbs/1/rules/debhelper.mk

# As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
# creates it conditionally, so this doesn't have a trivial fix.
clean::
	$(RM) debian/compat *.cdbs-config_list
	$(RM) -rf debian/tmp32
	$(RM) debian/stamp-configure debian/stamp-configure32

post-patches::
	chmod a+x $(DEB_SRCDIR)/configure
ifneq (, $(build32))
	cp -a $(DEB_SRCDIR) $(DEB_SRCDIR)-build32
endif

configure/libicu$(l_SONAME) configure/libicu-dev:: debian/stamp-configure
debian/stamp-configure:
	cd $(DEB_SRCDIR) && \
		CFLAGS="$(l_CFLAGS)" CXXFLAGS="$(l_CFLAGS)" \
		$(l_CONFIGURE)
	touch debian/stamp-configure

configure/lib32icu$(l_SONAME) configure/lib32icu-dev:: debian/stamp-configure32
debian/stamp-configure32:
	cd $(DEB_SRCDIR)-build32 && \
		CFLAGS="$(l_CFLAGS) -m32" CXXFLAGS="$(l_CFLAGS) -m32" \
		$(l_CONFIGURE) --libdir=/usr/lib32
	touch debian/stamp-configure32

build/libicu$(l_SONAME) build/libicu-dev::
	$(MAKE) -C $(DEB_SRCDIR)

build/lib32icu$(l_SONAME) build/lib32icu-dev::
	$(MAKE) -C $(DEB_SRCDIR)-build32

install/libicu$(l_SONAME) install/libicu-dev::
	$(MAKE) -C $(DEB_SRCDIR) install DESTDIR=$(CURDIR)/debian/tmp

binary-install/lib32icu$(l_SONAME) binary-install/lib32icu-dev:: DEB_DH_INSTALL_SOURCEDIR=debian/tmp32
install/lib32icu$(l_SONAME) install/lib32icu-dev::
	$(MAKE) -C $(DEB_SRCDIR)-build32 install DESTDIR=$(CURDIR)/debian/tmp32

install/icu-doc:: install/libicu$(l_SONAME) install/libicu-dev
	$(MAKE) -C $(DEB_SRCDIR) install-doc DESTDIR=$(CURDIR)/debian/tmp

# Install lintian override files
binary-post-install/%::
	if [ -f debian/$*.lintian ]; then \
	    mkdir -p debian/$*/usr/share/lintian/overrides && \
	    cp -p debian/$*.lintian debian/$*/usr/share/lintian/overrides/$*; \
	fi

binary-predeb/%::
	perl debian/fix_substvars.pl debian/$*.substvars 'lib(32)?icu.*'

=== debian/watch ===
version=3
opts="uversionmangle=s/_/\./g;s/\.d/~d/" \
http://download.icu-project.org/files/icu4c/(?:\d+\.[\d\.]+)/icu4c-([d\d_\.]+)-src.tgz

## icu 4.4.2

=== debian/changelog ===
icu (4.4.2-2ubuntu0.11.04.1) natty-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    out of bounds access
    - debian/patches/CVE-2011-4599.patch: add bounds checks in
      source/common/uloc.c.
    - CVE-2011-4599

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 Jan 2012 14:39:39 -0500

icu (4.4.2-2) unstable; urgency=low

  * Apply patch to fix Malayam rendering.  (Closes: #591615)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 25 Nov 2010 12:51:18 -0500

icu (4.4.2-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.9.1; no changes required

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 17 Oct 2010 11:06:20 -0400

=== debian/control ===
Source: icu
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
Standards-Version: 3.9.1
Build-Depends: cdbs, debhelper (>= 5), doxygen (>= 1.7.1), gcc-multilib [amd64 kfreebsd-amd64 ppc64] | gcc-4.1 (<< 4.1.2) [amd64 kfreebsd-amd64 ppc64],
 g++-multilib [amd64 kfreebsd-amd64 ppc64] | g++-4.1 (<< 4.1.2) [amd64 kfreebsd-amd64 ppc64],
 libc6-dev-i386 [amd64], libc0.1-dev-i386 [kfreebsd-amd64], libc6-dev-powerpc [ppc64]
Homepage: http://www.icu-project.org

Package: libicu44
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: libicu44-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libicu44 (= ${binary:Version})
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains debugging symbols
 for the libraries.

Package: libicu-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libicu44 (= ${binary:Version}), libc6-dev | libc-dev
Suggests: icu-doc
Description: Development files for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU along with programs used to manipulate data files found
 in the ICU sources.

Package: lib32icu44
Section: libs
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: International Components for Unicode (32-bit)
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: lib32icu-dev
Section: libdevel
Architecture: amd64 ppc64 kfreebsd-amd64
Depends: ${misc:Depends}, libicu-dev (= ${binary:Version}), lib32icu44 (= ${binary:Version})
Suggests: icu-doc
Description: Development files for International Components for Unicode (32-bit)
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU along with programs used to manipulate data files found
 in the ICU sources.

Package: icu-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API documentation for ICU classes and functions
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains HTML files
 documenting the ICU APIs.
